﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


namespace Model
{
    public class Manager
    {
        
        public IDataManager dataManager { get; set; }
        
        public Manager(IDataManager data)
        {
            dataManager = data;
        }

        public bool AddDice(Die addD)
        {
           if(addD!=null)
           {
                dataManager.AddDice(addD);
                return true;
           }
           return false;
          
            
        }
        public bool RemoveDice(Die removeD)
        {
            if (removeD != null)
            {
                dataManager.RemoveDice(removeD);
                return true;
            }
            return false;
        }
        
        public List<Die> GetDice()
        {
            return dataManager.GetDices();
        }

    }
}
